summaryrefslogtreecommitdiffstats
path: root/monitor-fswatch.sh
diff options
context:
space:
mode:
authorJan Tuomi <jans.tuomi@gmail.com>2024-03-26 21:22:00 +0200
committerJan Tuomi <jans.tuomi@gmail.com>2024-03-26 21:25:10 +0200
commit71f97adcc4773fd4f538daa2da38c7596926fa30 (patch)
tree0ee1a3dc0c737cc04446f6a0814875e034bf33e2 /monitor-fswatch.sh
parent1dcfacfa22cc50a95ab057023ed58dcb0608c05e (diff)
Fix bugs, prepare for deployment
Diffstat (limited to 'monitor-fswatch.sh')
-rwxr-xr-xmonitor-fswatch.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/monitor-fswatch.sh b/monitor-fswatch.sh
new file mode 100755
index 0000000..c989d69
--- /dev/null
+++ b/monitor-fswatch.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+dir="${SRC_DIR:-pages}"
+
+set -euxo pipefail
+
+csi -s main.scm
+
+while true; do
+ fswatch -r -L -1 "${dir}"
+ sleep 1
+ csi -s main.scm
+done